Subject: bug#48460: 27.2; Crash on M1 Mackook pro with GUI

From: Alan Third <[email-masked]>
Date: Sun, 16 May 2021 10:30:18 +0100

On Sun, May 16, 2021 at 11:58:45AM +0800, 房昌昊 via Bug reports for GNU Emacs, the Swiss army knife of text editors wrote:
> In GNU Emacs 27.2 (build 1, arm-apple-darwin20.3.0, NS appkit-2022.30 Version 11.2.3 (Build 20D91))
> of 2021-03-28 built on armbob.porkrind.org
> Windowing system distributor 'Apple', version 10.3.2022
> System Description:  macOS 11.3.1

> It works well with Command line. However, it crashs when I open it with
> GUI. It reports like the following:

> Exception Type:        EXC_BAD_INSTRUCTION (SIGABRT)
> Exception Codes:       0x0000000000000001, 0x0000000000000000
> Exception Note:        EXC_CORPSE_NOTIFY
> 
> Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
> 0   ???                           	0x00007ffe9467aab8 ???
> 1   libsystem_kernel.dylib        	0x00007fff2042f946 __pthread_kill + 10
> 2   libsystem_c.dylib             	0x00007fff20342be5 raise + 26
> 3   Emacs-x86_64-10_14            	0x00000001022626d9 terminate_due_to_signal + 153
> 4   Emacs-x86_64-10_14            	0x000000010226301b emacs_abort + 15
> 5   Emacs-x86_64-10_14            	0x000000010222a880 ns_term_shutdown + 80
> 6   Emacs-x86_64-10_14            	0x000000010211a5d4 shut_down_emacs + 340
> 7   Emacs-x86_64-10_14            	0x00000001022626a6 terminate_due_to_signal + 102
> 8   Emacs-x86_64-10_14            	0x000000010213ae8e handle_fatal_signal + 14
> 9   Emacs-x86_64-10_14            	0x000000010213af11 deliver_thread_signal + 129
> 10  Emacs-x86_64-10_14            	0x0000000102139969 deliver_fatal_thread_signal + 9
> 11  libsystem_platform.dylib      	0x00007fff204a3d7d _sigtramp + 29
> 12  ???                           	000000000000000000 0 + 0
> 13  Emacs-x86_64-10_14            	0x00000001021ff5c9 decode_time_components + 633
> 14  Emacs-x86_64-10_14            	0x00000001022000df decode_lisp_time + 159
> 15  Emacs-x86_64-10_14            	0x0000000102201240 Ftime_convert + 32

Well, I've never seen a crash like this before. I really have no idea
what could be causing it.

My only suggestion for now is to try another build. For example if you
have homebrew perhaps try the Emacs+ recipe?
-- 
Alan Third